Summary:        Portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) subtitle format
Name:           libass
Version:        0.17.0
Release:        3%{?dist}
License:        ISC
URL:            https://github.com/libass
Source0:        %{url}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc make nasm
BuildRequires:  pkgconfig(fontconfig) pkgconfig(freetype2) pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libpng) pkgconfig(fribidi)

%description
libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha)
subtitle format. It is mostly compatible with VSFilter.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The package contains libraries and header files for developing with %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -delete


%check
make check


%files
%license COPYING
%doc Changelog
%{_libdir}/*.so.9*


%files devel
%{_includedir}/ass
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 rockerzhu <rockerzhu@tencent.com> - 0.17.0-1
- Initial build.
